=== debian/changelog ===
python-shamir-mnemonic (0.3.0-3) unstable; urgency=medium

  * debian/control:  Mark python3-shamir-mnemonic as "Multi-Arch: foreign".

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 11:52:23 -0700

python-shamir-mnemonic (0.3.0-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete "Rules-Requires-Root: no".
    - Bump standards version to 4.7.2, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 15:05:08 -0700

python-shamir-mnemonic (0.3.0-1.1) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:30:44 -0500

python-shamir-mnemonic (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1098522).

 -- Soren Stoutner <soren@debian.org>  Thu, 10 Oct 2024 11:41:25 -0700
