=== debian/control ===
Source: python-shamir-mnemonic
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all
Build-Depends-Indep: python3-poetry-core,
                     python3-bip32utils <!nocheck>,
                     python3-pytest <!nocheck>
Homepage: https://github.com/trezor/python-shamir-mnemonic
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shamir-mnemonic
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shamir-mnemonic.git
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2

Package: shamir
Architecture: all
# python3-click is necessary for rendering the CLI.
Depends: python3-shamir-mnemonic (= ${source:Version}),
         python3-click,
         ${misc:Depends},
         ${python3:Depends}
Section: utils
Description: Executable for Shamir’s Secret-Sharing for Mnemonic Codes
 This SLIP describes a standard and interoperable implementation of Shamir's
 secret sharing (SSS). SSS splits a secret into unique parts which can be
 distributed among participants, and requires a specified minimum number of
 parts to be supplied in order to reconstruct the original secret. Knowledge of
 fewer than the required number of parts does not leak information about the
 secret.
 .
 This package contains the shamir executable.

Package: python3-shamir-mnemonic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Shamir’s Secret-Sharing for Mnemonic Codes, an implementation of SLIP-0039
 This SLIP describes a standard and interoperable implementation of Shamir's
 secret sharing (SSS). SSS splits a secret into unique parts which can be
 distributed among participants, and requires a specified minimum number of
 parts to be supplied in order to reconstruct the original secret. Knowledge of
 fewer than the required number of parts does not leak information about the
 secret.
 .
 This package contains the Python 3 version.
