=== debian/watch ===
version=4
https://github.com/trezor/python-shamir-mnemonic/tags .*/v?(\d.*)@ARCHIVE_EXT@
